# Installation

## Requirements

To use `tauth`, you need to have Python 3.12 or higher installed.
We also recommend using a virtual environment to install the package's dependencies.

## Installing using `pip`

TAuth is hosted on PyPI and can be installed using `pip`:

```bash
pip install tauth
```

This will install the latest release version of the package.

## Installing from Source

To install `tauth` directly from its [GitHub repository](<https://github.com/TeiaLabs/tauth>), run the following command:

```bash
pip install git+https://github.com/TeiaLabs/tauth.git
```

## Now What?

Now that you have TAuth installed, you can check out:

- [Quickstart guide](./quickstart.md): getting started with the library.
- Understand how [authentication](./authn.md) and [authorization](./authz.md) work.
